- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QGraphicsSceneHoverEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 195 of file qgraphicssceneevent.h.

`#include <qgraphicssceneevent.h>`

Inheritance diagram for QGraphicsSceneHoverEvent:
[legend]

List of all members.

## Public Member Functions
| QGraphicsSceneHoverEvent (Type type=None)
| ~QGraphicsSceneHoverEvent ()
QPointF | pos () const
void | setPos (const QPointF &pos)
QPointF | scenePos () const
void | setScenePos (const QPointF &pos)
QPoint | screenPos () const
void | setScreenPos (const QPoint &pos)
QPointF | lastPos () const
void | setLastPos (const QPointF &pos)
QPointF | lastScenePos () const
void | setLastScenePos (const QPointF &pos)
QPoint | lastScreenPos () const
void | setLastScreenPos (const QPoint &pos)
Qt::KeyboardModifiers | modifiers () const
void | setModifiers (Qt::KeyboardModifiers modifiers)

## Constructor & Destructor Documentation

QGraphicsSceneHoverEvent | ( | Type | type = `None` | ) |

~QGraphicsSceneHoverEvent | ( |  | ) |

## Member Function Documentation

QPointF pos | ( |  | ) | const

Search for all occurrences

void setPos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPointF scenePos | ( |  | ) | const

Search for all occurrences

void setScenePos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPoint screenPos | ( |  | ) | const

Search for all occurrences

void setScreenPos | ( | const QPoint & | pos | ) |

Search for all occurrences

QPointF lastPos | ( |  | ) | const

Search for all occurrences

void setLastPos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPointF lastScenePos | ( |  | ) | const

Search for all occurrences

void setLastScenePos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPoint lastScreenPos | ( |  | ) | const

Search for all occurrences

void setLastScreenPos | ( | const QPoint & | pos | ) |

Search for all occurrences

Qt::KeyboardModifiers modifiers | ( |  | ) | const

Search for all occurrences

void setModifiers | ( | Qt::KeyboardModifiers | modifiers | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qgraphicssceneevent.h

QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent
QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent QGraphicsSceneHoverEvent